<?php
/**
 * @author      Wployalty (Alagesan)
 * @license     http://www.gnu.org/licenses/gpl-3.0.html
 * @link        https://www.wployalty.net
 * */

defined('ABSPATH') || die;
$earn_campaign_helper = \Wlr\App\Helpers\EarnCampaign::getInstance();
$woocommerce_helper = new \Wlr\App\Helpers\Woocommerce();
$theme_color = isset($branding) && is_array($branding) && isset($branding['theme_color']) && !empty($branding['theme_color']) ? $branding['theme_color'] : '';
$heading_color = isset($branding) && is_array($branding) && isset($branding['heading_color']) && !empty($branding['heading_color']) ? $branding['heading_color'] : '';
$is_right_to_left = is_rtl();
?>
<style>
    .wlr-myaccount-page .wlr-heading {
    <?php echo !empty($heading_color) ? esc_attr("color:" . $heading_color . " !important;") : "";?><?php echo !empty($theme_color) ? esc_attr("border-left: 3px solid " . $theme_color . " !important;") : "";?>
    }

    .wlr-myaccount-page .wlr-theme-color-apply {
    <?php echo isset($theme_color) && !empty($theme_color) ?  esc_attr("color :".$theme_color.";") : "";?>;
    }

    .wlr-myaccount-page .wlr-earning-options .wlr-card .wlr-date {
    <?php echo $is_right_to_left ? "left: 12px;right:unset;": "right:12px;left:unset;";?>
    }

    .wlr-myaccount-page .wlr-your-reward .wlr-reward-type-name {
    <?php echo $is_right_to_left ? "float: left;border-radius: 8px 0 2px 0;": "float:right;";?>
    }

    .wlr-myaccount-page .wlr-revert .wlr-revert-reward {
    <?php echo $is_right_to_left ? "float: left;": "float:right;";?>
    }

    .wlr-myaccount-page .wlr-progress-bar .wlr-progress-level {
        background-color: <?php echo $theme_color;?>;
    }
</style>
<div class="wlr-myaccount-page">
    <?php if ((isset($user) && is_object($user) && isset($user->id) && $user->id > 0) || get_current_user_id()): ?>
        <div class="wlr-user-details">
            <div class="wlr-heading-container">
                <h3 class="wlr-heading"><?php echo esc_attr(sprintf(__('My %s', 'wp-loyalty-rules'), $earn_campaign_helper->getPointLabel(3))); ?></h3>
            </div>
            <?php
            $is_user_available = (isset($user) && is_object($user) && isset($user->id) && $user->id > 0);
            $level_check = $is_user_available && isset($user->level_data) && is_object($user->level_data) && isset($user->level_data->current_level_name) && !empty($user->level_data->current_level_name); ?>
            <div class="wlr-points-container" style="<?php echo !$level_check ? 'margin-bottom: 0px' : ''; ?>">
                <?php if ($is_user_available && isset($user->level_id) && $user->level_id > 0 && $level_check): ?>
                    <div id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-levels') ?>" style="min-height: 190px">
                        <div>
                            <?php if (isset($user->level_data->current_level_image) && !empty($user->level_data->current_level_image)): ?>
                                <?php echo \Wlr\App\Helpers\Base::setImageIcon($user->level_data->current_level_image, "", array("alt" => __("Level image", "wp-loyalty-rules"), "height" => 48, "width" => 48)); ?>
                            <?php endif; ?>
                        </div>
                        <div>
                            <p id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-level-name') ?>" class="wlr-points-name">
                                <?php echo esc_html(!empty($user->level_data) && !empty($user->level_data->current_level_name) ? __($user->level_data->current_level_name, 'wp-loyalty-rules') : '') ?>
                            </p>
                        </div>
                        <?php
                        if (isset($user->level_data->current_level_start) && isset($user->level_data->next_level_start) && $user->level_data->next_level_start > 0):
                            $css_width = (($user->earn_total_point - $user->level_data->current_level_start) / ($user->level_data->next_level_start - $user->level_data->current_level_start)) * 100;
                            $needed_point = $user->level_data->next_level_start - $user->earn_total_point;
                            ?>
                            <div class="level-points">
                                <div class="wlr-progress-bar">
                                    <div class="wlr-progress-level"
                                         style="<?php echo esc_attr("width:" . $css_width . '%'); ?>">
                                    </div>
                                </div>
                                <p class="wlr-progress-content">
                                    <?php echo esc_html(sprintf(__('%d %s more needed to unlock next level', 'wp-loyalty-rules'), (int)$needed_point, $earn_campaign_helper->getPointLabel($needed_point))); ?>
                                </p>
                            </div>
                        <?php else: ?>
                            <div class="level-points">
                                <p class="wlr-progress-content">
                                    <?php echo esc_html__('Congratulations! You have reached the final level', 'wp-loyalty-rules'); ?>
                                </p>
                            </div>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>
                <div id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-points') ?>"
                     style="<?php echo !$level_check ? 'display:flex; flex-direction:row; width:100%; box-shadow:none; padding:0px;' : 'min-height: 190px;' ?> ">
                    <div id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-available-points') ?>"
                         style="<?php echo !$level_check ? 'width:50%;border: 1px solid #E7E7EF;border-radius: 10px; padding: 10px' : ''; ?>">
                        <div>
                            <?php $img_icon = isset($branding) && is_array($branding) && isset($branding["available_point_icon"]) && !empty($branding["available_point_icon"]) ? $branding["available_point_icon"] : ""; ?>
                            <?php echo \Wlr\App\Helpers\Base::setImageIcon($img_icon, "available-points", array("alt" => __("Available point", "wp-loyalty-rules"), "height" => 64, "width" => 64)); ?>
                        </div>
                        <div>
                            <?php $user_points = (int)(isset($user) && !empty($user) && isset($user->points) && !empty($user->points) ? $user->points : 0); ?>
                            <span id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-available-points-heading') ?>">
        <?php echo esc_html(sprintf(__('Available %s', 'wp-loyalty-rules'), $earn_campaign_helper->getPointLabel($user_points))); ?></span>
                            <div id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-available-point-value') ?>">
                                <?php echo $user_points; ?>
                            </div>
                        </div>
                    </div>
                    <div id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-redeemed-points') ?>"
                         style="<?php echo !$level_check ? 'width:50%;border: 1px solid #E7E7EF;border-radius: 10px; padding: 10px' : '' ?>">
                        <div>
                            <?php $img_icon = isset($branding) && is_array($branding) && isset($branding["redeem_point_icon"]) && !empty($branding["redeem_point_icon"]) ? $branding["redeem_point_icon"] : ""; ?>
                            <?php echo \Wlr\App\Helpers\Base::setImageIcon($img_icon, "redeem-points", array("alt" => __("Redeem point", "wp-loyalty-rules"), "height" => 64, "width" => 64)); ?>
                        </div>
                        <div>
                            <?php $user_total_points = (int)(isset($user) && !empty($user) && isset($user->used_total_points) && !empty($user->used_total_points) ? $user->used_total_points : 0); ?>
                            <span id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-redeemed-points-heading') ?>">
        <?php echo esc_html(sprintf(__('Redeemed %s', 'wp-loyalty-rules'), $earn_campaign_helper->getPointLabel($user_total_points))) ?></span>
                            <div id="<?php echo esc_attr(WLR_PLUGIN_PREFIX . '-redeemed-point-value') ?>">
                                <?php echo $user_total_points; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!--    customer rewards start here -->
    <?php
    if (isset($user_rewards) && !empty($user_rewards)): ?>
        <div class="wlr-your-reward">
            <div class="wlr-heading-container"><h3
                    class="wlr-heading"><?php echo esc_html(sprintf(__('My %s', 'wp-loyalty-rules'), $earn_campaign_helper->getRewardLabel(3))); ?></h3>
            </div>
            <div class="wlr-customer-reward">
                <?php $card_key = 1;
                foreach ($user_rewards as $u_reward): ?>
                    <?php
                    $button_text = isset($branding) && is_array($branding) && isset($branding["redeem_button_text"]) && !empty($branding["redeem_button_text"]) ? $branding["redeem_button_text"] : "";
                    $revert_button = sprintf(__('Revert to %s', 'wp-loyalty-rules'), $earn_campaign_helper->getPointLabel(3));
                    $redeem_button_color = isset($branding) && is_array($branding) && isset($branding["redeem_button_color"]) && !empty($branding["redeem_button_color"]) ? $branding["redeem_button_color"] : "";
                    $button_color = $redeem_button_color ? "background:" . $redeem_button_color . ";" : "background:" . $theme_color . ";";
                    $redeem_button_text_color = isset($branding) && is_array($branding) && isset($branding["redeem_button_text_color"]) && !empty($branding["redeem_button_text_color"]) ? $branding["redeem_button_text_color"] : "";
                    $button_text_color = $redeem_button_text_color ? "color:" . $redeem_button_text_color . ";" : "";
                    $css_class_name = 'wlr-button-reward wlr-button wlr-button-action';
                    ?>
                    <div
                        class="<?php echo (isset($u_reward->discount_code) && !empty($u_reward->discount_code)) ? 'wlr-coupon-card' : 'wlr-reward-card'; ?>">
                        <div style="<?php echo $is_right_to_left ? "margin-left: -12px;" : "margin-right: -12px;"; ?>">
                            <p class="wlr-reward-type-name">
                                <?php echo $u_reward->reward_type_name; ?>
                                <?php $discount_value = isset($u_reward->discount_value) && !empty($u_reward->discount_value) && ($u_reward->discount_value != 0) ? ($u_reward->discount_value) : ''; ?>
                                <?php if ($discount_value > 0 && isset($u_reward->discount_type) && in_array($u_reward->discount_type, array('percent', 'fixed_cart', 'points_conversion'))): ?>
                                    <?php if (($u_reward->discount_type == 'points_conversion') && !empty($u_reward->discount_code)) : ?>
                                        <?php echo " - " . $woocommerce_helper->getCustomPrice($discount_value); ?>
                                    <?php elseif ($u_reward->discount_type != 'points_conversion'): ?>
                                        <?php echo ($u_reward->discount_type == 'percent') ? " - " . round($discount_value) . "%" : " - " . $woocommerce_helper->getCustomPrice($discount_value); ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </p>
                        </div>
                        <div class="wlr-card-container">
                            <div class="wlr-card-icon-container">
                                <div class="wlr-card-icon">
                                    <?php $discount_type = isset($u_reward->discount_type) && !empty($u_reward->discount_type) ? $u_reward->discount_type : "" ?>
                                    <?php $img_icon = isset($u_reward->icon) && !empty($u_reward->icon) ? $u_reward->icon : "" ?>
                                    <?php echo \Wlr\App\Helpers\Base::setImageIcon($img_icon, $discount_type, array("alt" => $u_reward->name)); ?>
                                </div>
                                <div style="display: flex;gap: 3px;">
                                    <?php if (!empty($revert_button) && ($u_reward->reward_type == 'redeem_point') && !empty($u_reward->discount_code) && isset($is_revert_enabled) && $is_revert_enabled): ?>
                                        <div class="wlr-revert-tool"
                                             onclick="wlr_jquery( 'body' ).trigger('revertEnable',['<?php echo esc_js('#wlr-' . $u_reward->id . '-' . $u_reward->discount_code); ?>']);">
                                            <img
                                                src="<?php echo isset($branding) && is_array($branding) && isset($branding["point_revert_icon"]) && !empty($branding["point_revert_icon"]) ? esc_url($branding["point_revert_icon"]) : ""; ?>">
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php if (!empty($revert_button) && ($u_reward->reward_type == 'redeem_point') && !empty($u_reward->discount_code) && isset($is_revert_enabled) && $is_revert_enabled): ?>
                                <div class="wlr-revert"
                                     id="<?php echo esc_attr('wlr-' . $u_reward->id . '-' . $u_reward->discount_code); ?>"
                                     onclick="wlr_jquery( 'body' ).trigger('wlr_revoke_coupon',['<?php echo esc_js($u_reward->id); ?>','<?php echo esc_js($u_reward->discount_code); ?>']);">
                                    <a class="wlr-revert-reward"><?php echo esc_html($revert_button); ?></a>
                                </div>
                            <?php endif; ?>
                            <div class="wlr-card-inner-container">
                                <h4 class="wlr-name">
                                    <?php echo \Wlr\App\Helpers\Base::readMoreLessContent($u_reward->name, $card_key, 60, __("Show more", "wp-loyalty-rules"), __("Show less", "wp-loyalty-rules"), 'card-my-reward-name', 'wlr-name wlr-pre-text'); ?>
                                </h4>
                                <?php $description = apply_filters('wlr_my_account_reward_desc', $u_reward->description, $u_reward); ?>
                                <?php if (isset($u_reward->discount_code) && !empty($u_reward->discount_code)): ?>
                                    <?php
                                    $button_text = isset($branding) && is_array($branding) && isset($branding["apply_coupon_button_text"]) && !empty($branding["apply_coupon_button_text"]) ? $branding["apply_coupon_button_text"] : "";
                                    $apply_coupon_button_color = isset($branding) && is_array($branding) && isset($branding["apply_coupon_button_color"]) && !empty($branding["apply_coupon_button_color"]) ? $branding["apply_coupon_button_color"] : "";
                                    $button_color = $apply_coupon_button_color ? "background:" . $apply_coupon_button_color . ";" : "background:" . $theme_color . ";";
                                    $apply_coupon_button_text_color = isset($branding) && is_array($branding) && isset($branding["apply_coupon_button_text_color"]) && !empty($branding["apply_coupon_button_text_color"]) ? $branding["apply_coupon_button_text_color"] : "";
                                    $button_text_color = $apply_coupon_button_text_color ? "color:" . $apply_coupon_button_text_color . ";" : "";
                                    $apply_coupon_border_color = isset($branding) && is_array($branding) && isset($branding["apply_coupon_border_color"]) && !empty($branding["apply_coupon_border_color"]) ? $branding["apply_coupon_border_color"] : "";
                                    $coupon_border = $apply_coupon_border_color ? "border:1px dashed " . $apply_coupon_border_color . ";color:" . $apply_coupon_border_color . ";" : "";
                                    $coupon_copy_icon_color = $apply_coupon_border_color ? "background:" . $apply_coupon_border_color . ";" : "";
                                    $apply_coupon_background = isset($branding) && is_array($branding) && isset($branding["apply_coupon_background"]) && !empty($branding["apply_coupon_background"]) ? $branding["apply_coupon_background"] : "";
                                    $coupon_background = $apply_coupon_background ? "background:" . $apply_coupon_background . ";" : "";
                                    $css_class_name = 'wlr-button-reward-apply wlr-button wlr-button-action';
                                    ?>
                                    <div class="wlr-code" style="<?php echo esc_attr($coupon_border); ?>">
                                        <div class="wlr-coupon-code"
                                             style="<?php echo esc_attr($coupon_background); ?>">
                                            <p title="<?php esc_html_e('Coupon Code', 'wp-loyalty-rules'); ?>"
                                               onclick="wlr_jquery( 'body' ).trigger( 'wlr_copy_coupon',[ '<?php echo esc_js('#wlr-' . $u_reward->discount_code) ?>','<?php echo esc_js('#wlr-icon-' . $u_reward->discount_code) ?>'])">
                                                <span
                                                    id="<?php echo esc_attr('wlr-' . $u_reward->discount_code) ?>"><?php echo esc_html($u_reward->discount_code); ?></span>
                                            </p>
                                        </div>
                                        <div class="wlr-coupon-copy-icon"
                                             style="<?php echo esc_attr($coupon_copy_icon_color); ?>">
                                            <i id="<?php echo esc_attr('wlr-icon-' . $u_reward->discount_code) ?>"
                                               class="wlr wlrf-copy wlr-icon"
                                               title="<?php esc_html_e('copy to clipboard', 'wp-loyalty-rules'); ?>"
                                               onclick="wlr_jquery( 'body' ).trigger( 'wlr_copy_coupon',[ '<?php echo esc_js('#wlr-' . $u_reward->discount_code) ?>','<?php echo esc_js('#wlr-icon-' . $u_reward->discount_code) ?>'])"
                                               style="font-size:20px;"></i>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if (!empty($description) && !(isset($u_reward->discount_code) && !empty($u_reward->discount_code))): ?>
                                    <?php echo \Wlr\App\Helpers\Base::readMoreLessContent($description, $card_key, 90, __("Show more", "wp-loyalty-rules"), __("Show less", "wp-loyalty-rules"), 'card-my-reward-description', 'wlr-description wlr-pre-text'); ?>

                                <?php endif; ?>
                            </div>
                            <?php if (isset($u_reward->discount_type) && $u_reward->discount_type == 'points_conversion' && $u_reward->reward_table != 'user_reward'): ?>
                                <div style="display: none;" class="wlr-point-conversion-section"
                                     id="<?php echo esc_attr('wlr_point_conversion_div_' . $u_reward->id); ?>">
                                    <div><i class="wlrf-close wlr-cursor"
                                            title="<?php _e('Close', 'wp-loyalty-rules'); ?>"
                                            onclick="wlr_jquery('<?php echo esc_js('#wlr_point_conversion_div_' . $u_reward->id); ?>').hide();wlr_jquery('<?php echo esc_js('#wlr-button-action-' . $card_key) ?>').show()">
                                        </i></div>
                                    <div style="display: flex;gap: 15%">
                                        <div class="wlr-input-point-section">
                                            <div class="wlr-input-point-conversion">
                                                <input type="text" min="1" pattern="/^[0-9]+$/"
                                                       class="wlr-point-conversion-box"
                                                       onkeypress="return wlr_jquery('body').trigger('wlr_validate_number');"
                                                       onchange="wlr_jquery('body').trigger('wlr_calculate_point_conversion',
                                                           ['<?php echo esc_js('wlr_point_conversion_' . $u_reward->id); ?>','<?php echo esc_js('wlr_point_conversion_' . $u_reward->id . '_value'); ?>']);"
                                                       onkeyup="wlr_jquery('body').trigger('wlr_calculate_point_conversion',
                                                           ['<?php echo esc_js('wlr_point_conversion_' . $u_reward->id); ?>','<?php echo esc_js('wlr_point_conversion_' . $u_reward->id . '_value'); ?>']);"

                                                       id="<?php echo esc_attr('wlr_point_conversion_' . $u_reward->id); ?>"
                                                       value="<?php echo esc_attr($u_reward->input_point); ?>"
                                                       oninput="this.value = this.value.replace(/[^0-9]/g, '').replace(/(\..*)\./g, '$1');"
                                                       data-require-point="<?php echo esc_attr($u_reward->require_point); ?>"
                                                       data-discount-value="<?php echo esc_attr($woocommerce_helper->getCustomPrice($u_reward->discount_value, false)); ?>"
                                                       data-available-point="<?php echo esc_attr($u_reward->available_point); ?>"
                                                       data-cart-amount="<?php echo esc_attr($u_reward->cart_amount); ?>"
                                                ></div>
                                            <div class="wlr-point-label-content">
                                                <p class="wlr-input-point-title"><?php
                                                    $woocommerce_currency = $woocommerce_helper->getDisplayCurrency();
                                                    echo sprintf(__('=(%s)%s', 'wp-loyalty-rules'), $woocommerce_currency, $woocommerce_helper->getCurrencySymbols($woocommerce_currency)); ?>
                                                    &nbsp;<span
                                                        id="<?php echo esc_attr('wlr_point_conversion_' . $u_reward->id . '_value'); ?>"
                                                        class="wlr-point-conversion-discount-label">
                                                    <?php echo $u_reward->input_value; ?>
                                                </span>
                                                </p>

                                            </div>
                                        </div>
                                    </div>

                                    <div
                                        id="<?php echo esc_attr('wlr_point_conversion_' . $u_reward->id . '_button'); ?>"
                                        class="wlr-button wlr-button-action"
                                        style="<?php echo esc_attr($button_color); ?>"
                                        onclick="wlr_jquery( 'body' ).trigger( 'wlr_apply_point_conversion_reward',['<?php echo esc_js($u_reward->id); ?>', '<?php echo esc_js($u_reward->reward_table); ?>', '<?php echo esc_js($u_reward->available_point); ?>','<?php echo esc_js('#wlr_point_conversion_' . $u_reward->id); ?>' ,'<?php echo esc_js('#wlr_point_conversion_' . $u_reward->id . '_button'); ?>'] );">
                                        <a class="wlr-action-text"
                                           style="<?php echo esc_attr($button_text_color); ?>"
                                           href="javascript:void(0);"><?php echo esc_html__('Redeem', 'wp-loyalty-rules'); ?></a>
                                    </div>
                                </div>
                                <div class="<?php echo esc_attr($css_class_name); ?>"
                                     style="<?php echo esc_attr($button_color); ?>"
                                     id="<?php echo esc_attr('wlr-button-action-' . $card_key) ?>"
                                     onclick="wlr_jquery('<?php echo esc_js('#wlr_point_conversion_div_' . $u_reward->id); ?>').show();wlr_jquery('<?php echo esc_js('#wlr-button-action-' . $card_key) ?>').hide();wlr_jquery('body').trigger('wlr_calculate_point_conversion',
                                         ['<?php echo esc_js('wlr_point_conversion_' . $u_reward->id); ?>','<?php echo esc_js('wlr_point_conversion_' . $u_reward->id . '_value'); ?>']);">
                                    <a class="wlr-action-text" style="<?php echo esc_attr($button_text_color); ?>"
                                       href="javascript:void(0);"><?php echo esc_html($button_text); ?></a>
                                </div>
                            <?php else: ?>
                                <div class="<?php echo esc_attr($css_class_name); ?> "
                                     id="<?php echo esc_attr('wlr-button-action-' . $card_key); ?>"
                                     style="<?php echo esc_attr($button_color); ?>"
                                     onclick="wlr_jquery( 'body' ).trigger( 'wlr_apply_reward_action', [ '<?php echo esc_js($u_reward->id); ?>', '<?php echo esc_js($u_reward->reward_table); ?>', '<?php echo esc_js('#wlr-button-action-' . $card_key); ?>'] )">
                                    <a class="wlr-action-text" style="<?php echo esc_attr($button_text_color); ?>"
                                       href="javascript:void(0);"><?php echo esc_html($button_text); ?></a>
                                </div>
                            <?php endif; ?>
                            <?php if (isset($u_reward->expiry_date) && !empty($u_reward->expiry_date) && !empty($u_reward->discount_code)): ?>
                                <p class="wlr-expire-date">
                                    <?php echo esc_html(sprintf(__("Expires on %s", "wp-loyalty-rules"), $u_reward->expiry_date)); ?></p>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php $card_key++; endforeach; ?>
            </div>
        </div>
    <?php endif; ?>
    <!--    customer rewards end here -->
</div>
